4Suite™ API Documentation

# ► Module Ft.Xml.ThirdParty.Xvif.wxsTypeLib

Classes: IDREFType, IDType, anyURIType, booleanType, byteType, dateTimeType, dateType, decimalType, floatType, intType, integerType, longType, negativeIntegerType, nonNegativeIntegerType, nonPositiveIntegerType, normalizedStringType, positiveIntegerType, shortType, stringType, timeType, tokenType, unsignedByteType, unsignedIntType, unsignedLongType, unsignedShortType |  |  |  | Globals: BASE_URI

## Classes

class IDREFType(Ft.Xml.ThirdParty.Xvif.rngCoreTypeLib.tokenType, Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Lexical)
  Similar to the token builtin class

  ### Methods

  __init__(self, value, state=None)
    Overrides: __init__ from class tokenType
  finalize(...)
    staticmethod(function) -> method

        Convert a function to be a static method.

        A static method does not receive an implicit first argument.
        To declare a static method, use this idiom:

             class C:
                 def f(arg1, arg2, ...): ...
                 f = staticmethod(f)

        It can be called either on the class (e.g. C.f()) or on an instance
        (e.g. C().f()).  The instance is ignored except for its class.

        Static methods in Python are similar to those found in Java or C++.
        For a more advanced concept, see the classmethod builtin.

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rngCoreTypeLib.tokenType

  __new__

  ### Methods inherited from class unicode

  __add__, __cmp__, __contains__, __getattribute__, __getitem__, __getnewargs__, __getslice__, __hash__, __len__, __mod__, __mul__, __repr__, __rmod__, __rmul__, __str__, capitalize, center, count, decode, encode, endswith, expandtabs, find, index, isalnum, isalpha, isdecimal, isdigit, islower, isnumeric, isspace, istitle, isupper, join, ljust, lower, lstrip, replace, rfind, rindex, rjust, rsplit, rstrip, split, splitlines, startswith, strip, swapcase, title, translate, upper, zfill

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Lexical

  lengthFacet(self, value)

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Members

  stateful = True

  ### Members inherited from class Ft.Xml.ThirdParty.Xvif.rngCoreTypeLib.tokenType

  __dict__, __weakref__

  ### Members inherited from class object

  __class__
class IDType(Ft.Xml.ThirdParty.Xvif.rngCoreTypeLib.tokenType, Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Lexical)
  Similar to the token builtin class

  ### Methods

  __init__(self, value, state=None)
    Overrides: __init__ from class tokenType

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rngCoreTypeLib.tokenType

  __new__

  ### Methods inherited from class unicode

  __add__, __cmp__, __contains__, __getattribute__, __getitem__, __getnewargs__, __getslice__, __hash__, __len__, __mod__, __mul__, __repr__, __rmod__, __rmul__, __str__, capitalize, center, count, decode, encode, endswith, expandtabs, find, index, isalnum, isalpha, isdecimal, isdigit, islower, isnumeric, isspace, istitle, isupper, join, ljust, lower, lstrip, replace, rfind, rindex, rjust, rsplit, rstrip, split, splitlines, startswith, strip, swapcase, title, translate, upper, zfill

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Lexical

  lengthFacet(self, value)

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Members

  stateful = True

  ### Members inherited from class Ft.Xml.ThirdParty.Xvif.rngCoreTypeLib.tokenType

  __dict__, __weakref__

  ### Members inherited from class object

  __class__
class anyURIType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Lexical)
  anyURI is somewhat of a misnomer; it is really a URI reference *or* IRI reference.

  ### Methods

  __init__(self, value)
    Overrides: __init__ from class _Lexical

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Lexical

  lengthFacet(self, value)

  ### Methods inherited from class object

  __delattr__, __getattribute__, __hash__, __new__, __reduce__, __reduce_ex__, __repr__, __setattr__, __str__

  ### Members inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Lexical

  __dict__ = <attribute '__dict__' of '_Lexical' objects>
  __weakref__ = <attribute '__weakref__' of '_Lexical' objects>

  ### Members inherited from class object

  __class__
class booleanType(Ft.Xml.ThirdParty.Xvif.rngCoreTypeLib.stringType, Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Lexical)

  ### Methods

  __init__(self, value)
    Overrides: __init__ from class stringType

  ### Methods inherited from class unicode

  __add__, __cmp__, __contains__, __getattribute__, __getitem__, __getnewargs__, __getslice__, __hash__, __len__, __mod__, __mul__, __new__, __repr__, __rmod__, __rmul__, __str__, capitalize, center, count, decode, encode, endswith, expandtabs, find, index, isalnum, isalpha, isdecimal, isdigit, islower, isnumeric, isspace, istitle, isupper, join, ljust, lower, lstrip, replace, rfind, rindex, rjust, rsplit, rstrip, split, splitlines, startswith, strip, swapcase, title, translate, upper, zfill

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Lexical

  lengthFacet(self, value)

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Members inherited from class Ft.Xml.ThirdParty.Xvif.rngCoreTypeLib.stringType

  __dict__, __weakref__

  ### Members inherited from class object

  __class__
class byteType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded, intType)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded

  __init__(self, value)

  ### Methods inherited from class int

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric

  totalDigitsFacet(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)

  ### Members

  max = 127
  min = -128

  ### Members inherited from class intType

  __dict__, __weakref__

  ### Members inherited from class object

  __class__
class dateTimeType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered)

  ### Methods

  __init__(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)
class dateType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered)

  ### Methods

  __cmp__(self, other)
  __init__(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)

  ### Members

  formatWoTZ = '%Y-%m-%d'
  formatZ = '%Y-%m-%dZ'
class decimalType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric)

  ### Methods

  __cmp__(self, other)
  __init__(self, value)
  fractionDigitsFacet(self, value)
  totalDigitsFacet(self, value)
    Overrides: totalDigitsFacet from class _Numeric

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)
class floatType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric)

  ### Methods

  __cmp__(self, other)
  __init__(self, value)
  fractionDigitsFacet(self, value)
  totalDigitsFacet(self, value)
    Overrides: totalDigitsFacet from class _Numeric

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)
class intType(int, Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric)

  ### Methods inherited from class int

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __init__, __reduce__, __reduce_ex__, __setattr__

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric

  totalDigitsFacet(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)

  ### Members

  __dict__ = <attribute '__dict__' of 'intType' objects>
  __weakref__ = <attribute '__weakref__' of 'intType' objects>

  ### Members inherited from class object

  __class__
class integerType(long, Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric)

  ### Methods inherited from class long

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __init__, __reduce__, __reduce_ex__, __setattr__

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric

  totalDigitsFacet(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)

  ### Members

  __dict__ = <attribute '__dict__' of 'integerType' objects>

  ### Members inherited from class object

  __class__
class longType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded, integerType)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded

  __init__(self, value)

  ### Methods inherited from class long

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric

  totalDigitsFacet(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)

  ### Members

  max = 9223372036854775807L
  min = -9223372036854775808L

  ### Members inherited from class integerType

  __dict__

  ### Members inherited from class object

  __class__
class negativeIntegerType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded, integerType)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded

  __init__(self, value)

  ### Methods inherited from class long

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric

  totalDigitsFacet(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)

  ### Members

  max = -1
  min = None

  ### Members inherited from class integerType

  __dict__

  ### Members inherited from class object

  __class__
class nonNegativeIntegerType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded, integerType)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded

  __init__(self, value)

  ### Methods inherited from class long

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric

  totalDigitsFacet(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)

  ### Members

  max = None
  min = 0

  ### Members inherited from class integerType

  __dict__

  ### Members inherited from class object

  __class__
class nonPositiveIntegerType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded, integerType)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded

  __init__(self, value)

  ### Methods inherited from class long

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric

  totalDigitsFacet(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)

  ### Members

  max = 0
  min = None

  ### Members inherited from class integerType

  __dict__

  ### Members inherited from class object

  __class__
class normalizedStringType(str)

  ### Methods

  __new__(...)
    staticmethod(function) -> method

        Convert a function to be a static method.

        A static method does not receive an implicit first argument.
        To declare a static method, use this idiom:

             class C:
                 def f(arg1, arg2, ...): ...
                 f = staticmethod(f)

        It can be called either on the class (e.g. C.f()) or on an instance
        (e.g. C().f()).  The instance is ignored except for its class.

        Static methods in Python are similar to those found in Java or C++.
        For a more advanced concept, see the classmethod builtin.

  ### Methods inherited from class str

  __add__, __contains__, __eq__, __ge__, __getattribute__, __getitem__, __getnewargs__, __getslice__, __gt__, __hash__, __le__, __len__, __lt__, __mod__, __mul__, __ne__, __repr__, __rmod__, __rmul__, __str__, capitalize, center, count, decode, encode, endswith, expandtabs, find, index, isalnum, isalpha, isdigit, islower, isspace, istitle, isupper, join, ljust, lower, lstrip, replace, rfind, rindex, rjust, rsplit, rstrip, split, splitlines, startswith, strip, swapcase, title, translate, upper, zfill

  ### Methods inherited from class object

  __delattr__, __init__, __reduce__, __reduce_ex__, __setattr__

  ### Members

  __dict__ = <attribute '__dict__' of 'normalizedStringType' objects>

  ### Members inherited from class object

  __class__
class positiveIntegerType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded, integerType)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded

  __init__(self, value)

  ### Methods inherited from class long

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric

  totalDigitsFacet(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)

  ### Members

  max = None
  min = 1

  ### Members inherited from class integerType

  __dict__

  ### Members inherited from class object

  __class__
class shortType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded, intType)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded

  __init__(self, value)

  ### Methods inherited from class int

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric

  totalDigitsFacet(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)

  ### Members

  max = 32767
  min = -32768

  ### Members inherited from class intType

  __dict__, __weakref__

  ### Members inherited from class object

  __class__
class stringType(Ft.Xml.ThirdParty.Xvif.rngCoreTypeLib.stringType, Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Lexical)

  ### Methods

  __init__(self, value)
    Overrides: __init__ from class stringType
  maxLengthFacet(self, value)
  minLengthFacet(self, value)
  patternFacet(self, value)

  ### Methods inherited from class unicode

  __add__, __cmp__, __contains__, __getattribute__, __getitem__, __getnewargs__, __getslice__, __hash__, __len__, __mod__, __mul__, __new__, __repr__, __rmod__, __rmul__, __str__, capitalize, center, count, decode, encode, endswith, expandtabs, find, index, isalnum, isalpha, isdecimal, isdigit, islower, isnumeric, isspace, istitle, isupper, join, ljust, lower, lstrip, replace, rfind, rindex, rjust, rsplit, rstrip, split, splitlines, startswith, strip, swapcase, title, translate, upper, zfill

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Lexical

  lengthFacet(self, value)

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Members inherited from class Ft.Xml.ThirdParty.Xvif.rngCoreTypeLib.stringType

  __dict__, __weakref__

  ### Members inherited from class object

  __class__
class timeType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered)

  ### Methods

  __init__(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)
class tokenType(Ft.Xml.ThirdParty.Xvif.rngCoreTypeLib.tokenType, Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Lexical)
  Strictly identical to the token builtin class

  ### Methods

  __init__(self, value)
    Overrides: __init__ from class tokenType

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rngCoreTypeLib.tokenType

  __new__

  ### Methods inherited from class unicode

  __add__, __cmp__, __contains__, __getattribute__, __getitem__, __getnewargs__, __getslice__, __hash__, __len__, __mod__, __mul__, __repr__, __rmod__, __rmul__, __str__, capitalize, center, count, decode, encode, endswith, expandtabs, find, index, isalnum, isalpha, isdecimal, isdigit, islower, isnumeric, isspace, istitle, isupper, join, ljust, lower, lstrip, replace, rfind, rindex, rjust, rsplit, rstrip, split, splitlines, startswith, strip, swapcase, title, translate, upper, zfill

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Lexical

  lengthFacet(self, value)

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Members inherited from class Ft.Xml.ThirdParty.Xvif.rngCoreTypeLib.tokenType

  __dict__, __weakref__

  ### Members inherited from class object

  __class__
class unsignedByteType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded, intType)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded

  __init__(self, value)

  ### Methods inherited from class int

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric

  totalDigitsFacet(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)

  ### Members

  max = 255
  min = 0

  ### Members inherited from class intType

  __dict__, __weakref__

  ### Members inherited from class object

  __class__
class unsignedIntType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded, integerType)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded

  __init__(self, value)

  ### Methods inherited from class long

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric

  totalDigitsFacet(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)

  ### Members

  max = 4294967295L
  min = 0

  ### Members inherited from class integerType

  __dict__

  ### Members inherited from class object

  __class__
class unsignedLongType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded, integerType)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded

  __init__(self, value)

  ### Methods inherited from class long

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric

  totalDigitsFacet(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)

  ### Members

  max = 18446744073709551615L
  min = 0

  ### Members inherited from class integerType

  __dict__

  ### Members inherited from class object

  __class__
class unsignedShortType(Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded, intType)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Bounded

  __init__(self, value)

  ### Methods inherited from class int

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Numeric

  totalDigitsFacet(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.wxsTypeLib._Ordered

  maxExclusiveFacet(self, value)
  maxInclusiveFacet(self, value)
  minExclusiveFacet(self, value)
  minInclusiveFacet(self, value)

  ### Members

  max = 65535
  min = 0

  ### Members inherited from class intType

  __dict__, __weakref__

  ### Members inherited from class object

  __class__

## Globals

BASE_URI = 'http://www.w3.org/2001/XMLSchema-datatypes'